function Create(self)
	self.tractor = false;
	self.tractorOn = NULL;
	
	   --Find owner of this drone
    local curdist = 60;
    for actor in MovableMan.Actors do
		local avgx = actor.Pos.X - self.Pos.X;
		local avgy = actor.Pos.Y - self.Pos.Y;
		local dist = math.sqrt(avgx ^ 2 + avgy ^ 2);
		if dist < curdist then
			curdist = dist;
			self.owner = actor;
			--print(true);
		end
    end
	
	 --If it can't find a owner disappear otherwise set team 
    if MovableMan:IsActor(self.owner) then
		self.Team = self.owner.Team;
    else
		self.ToDelete = true;
    end
	
	self.Pos = self.owner.Pos + Vector(0,10);
	
end


function Update(self)

	self.Pos = self.owner.Pos + Vector(0,20);
	self.Vel = self.owner.Vel;
	local curdist = 20;
	for item in MovableMan.Items do
		local avgx = item.Pos.X - self.Pos.X;
		local avgy = item.Pos.Y - self.Pos.Y;
		local dist = math.sqrt(avgx ^ 2 + avgy ^ 2);
		if dist < curdist then
			item.Pos = self.Pos + Vector(0,20);
			item.Vel = self.Vel;
		end
	end
	for particle in MovableMan.Particles do
		if particle.ClassName == "MOSRotating" or particle.ClassName == "AEmitter" then
			local avgx = particle.Pos.X - self.Pos.X;
			local avgy = particle.Pos.Y - self.Pos.Y;
			local dist = math.sqrt(avgx ^ 2 + avgy ^ 2);
			if dist < curdist then
				particle.Pos = self.Pos + Vector(0,20);
				particle.Vel = self.Vel;
			end
		end
	end
	for actor in MovableMan.Actors do
		local avgx = actor.Pos.X - self.Pos.X;
		local avgy = actor.Pos.Y - self.Pos.Y;
		local dist = math.sqrt(avgx ^ 2 + avgy ^ 2);
		if dist < curdist and actor ~= self.owner then
			actor.Pos = self.Pos + Vector(0,20);
			actor.Vel = self.Vel;
		end
    end
			
end