dofile("Base.rte/Constants.lua")
require("Actors/AI/NativeHumanAI")  --dofile("Base.rte/Actors/AI/NativeHumanAI.lua")
function Create(self)
	self.MassRecall = self.Mass;
	self.TeamRecall = self.Team;
	--Keep track of how long it should be before healing people.
	self.healTimer = Timer();
    --Interval between healings, in milliseconds.
	self.healInterval = 500;
    --Heal counter.
    self.healnum = 0;
	self.AI = NativeHumanAI:Create(self)
end





function Update(self)
	if self.TeamRecall ~= self.Team then
		self.Team = TeamRecall;
	end
	if self.AIMode == 0 then
		self.AIMode = 1;
	end
	
	--Credits to CaveCricket48
   if self:IsPlayerControlled() == false and self.AIMode == Actor.AIMODE_SENTRY then
	   self:GetController():SetState(Controller.BODY_CROUCH,false);
	   self:GetController():SetState(Controller.MOVE_RIGHT,false);
	   self:GetController():SetState(Controller.MOVE_LEFT,false);
   end
	
	--Heal every interval.
    if self.healTimer:IsPastSimMS(self.healInterval) then
		--Heal Self
		if self.Health < 100 then
			self.Health = self.Health + 1;
			if self.healnum == 1 then
				--Create the particle.
				local part = CreateMOSParticle("Repair Effect");
				--Set the particle's position to just over the actor's head.
				part.Pos = self.AboveHUDPos + Vector(0,4);
				--Add the particle to the world.
				MovableMan:AddParticle(part);
			end
		end	
		--Reset the healing timer.
		self.healTimer:Reset();
		--Increment the heal counter.
		self.healnum = self.healnum + 1;
		--Reset it if it's gone too far.
		if self.healnum > 5 then
			self.healnum = 0;
		end
	end
end
function UpdateAI(self)
	self.AI:Update(self)
end