function Create(self)

    --Find owner of this drone
    local curdist = 60;
    for actor in MovableMan.Actors do
		local avgx = actor.Pos.X - self.Pos.X;
		local avgy = actor.Pos.Y - self.Pos.Y;
		local dist = math.sqrt(avgx ^ 2 + avgy ^ 2);
		if dist < curdist then
			curdist = dist;
			self.owner = actor;
			--print(true);
		end
    end
	
	  --If it can't find a owner disappear otherwise set team 
    if MovableMan:IsActor(self.owner) then
		self.Team = self.owner.Team;
    else
		self.ToDelete = true;
    end
	
	self.Pos = self.owner.Pos + Vector(0,-40);
	self:EnableEmission(false);
	
end



function Update(self)

	self.Pos = self.owner.Pos + Vector(0,-40);
	self.Vel = self.owner.Vel;
	--self.HFlipped = self.owner.HFlipped;

	if self:IsEmitting() == true then
		self:EnableEmission(false);
	end

	if self.ToSettle == true then
		self.toDelete = true;
		self.owner.gunpodOn = false;
	end

	--if not self.owner:GetController():IsState(Controller.WEAPON_FIRE) then
		--Find a target not on same team
		 local curdist = 500;
		 for actor in MovableMan.Actors do
			local avgx = actor.Pos.X - self.Pos.X;
			local avgy = actor.Pos.Y - self.Pos.Y;
			local dist = math.sqrt(avgx ^ 2 + avgy ^ 2);
			if dist < curdist and actor.Team ~= self.Team and not (SceneMan:CastStrengthRay(self.Pos,Vector(actor.Pos.X-self.Pos.X,actor.Pos.Y-self.Pos.Y), 0.0, Vector(0,0), 3, 0, true))  and not (SceneMan:CastObstacleRay(self.Pos, Vector(actor.Pos.X-self.Pos.X,actor.Pos.Y-self.Pos.Y), Vector(0, 0), Vector(0, 0), self.ID, self.Team, 0, 5) < 50) then
				curdist = dist;
				self.target = actor;
				print(self.target);
				
			end
		end
		
		
		if MovableMan:IsActor(self.target) and not (SceneMan:CastStrengthRay(self.Pos,Vector(self.target.Pos.X-self.Pos.X,self.target.Pos.Y-self.Pos.Y), 0.0, Vector(0,0), 3, 0, true)) and not (SceneMan:CastObstacleRay(self.Pos, Vector(self.target.Pos.X-self.Pos.X,self.target.Pos.Y-self.Pos.Y), Vector(0, 0), Vector(0, 0), self.ID, self.Team, 0, 5) < 50) then
			--The direction from the center of the missile to the target.
			local targetdir = math.atan2(-(self.target.Pos.Y-self.Pos.Y),(self.target.Pos.X-self.Pos.X));
			
			if targetdir ~= self.RotAngle then
					self.RotAngle = targetdir;
			end
			if self:IsEmitting() == false then
				--print(MoveableMan:GetMOFromID((SceneMan:CastMORay(self.Pos,Vector(self.target.Pos.X-self.Pos.X,self.target.Pos.Y-self.Pos.Y), 0, 0, false, 0))));
				--print(MoveableMan:GetMOFromID(self.owner.ID));
				self:EnableEmission(true);
			end
		else
			if self:IsEmitting() == true then
				self:EnableEmission(false);
			end
			self.RotAngle = self.owner:GetAimAngle(true);
		end
	--elseif self.owner:GetController():IsState(Controller.WEAPON_FIRE) then
		--self.RotAngle = self.owner:GetAimAngle(true);
		--self:EnableEmission(true);
	--end
	
	if self.owner:IsDead() == true then
		self.ToDelete = true;
	end
end