function Create(self)
	local templength = 0;
	
	if SceneMan:CastObstacleRay(self.Pos, self.Vel * 150, Vector(0, 0), Vector(0, 0), self.ID, -1, 0, 5) < 0 then
		self.length = 500;
	else
		self.length = SceneMan:CastObstacleRay(self.Pos, self.Vel * 150, Vector(0, 0), Vector(0, 0), self.ID, -1, 0, 5);
	
	end
	--print(self.length);
	local velCorrection = self.Vel * (FrameMan.PPM * TimerMan.DeltaTimeSecs);
	local trueLength = self.length + velCorrection.Magnitude;
	local iters = (math.ceil(trueLength)/4);
	local initPos = self.Pos - velCorrection;
	local increment = (trueLength / iters);
	for i=0,iters,1 do
		particle = CreateMOPixel("Drone Laser 000");
		particle.Pos = initPos + (self.Vel.Normalized * (i * increment));
		particle.Vel = Vector(0,0);
		MovableMan:AddMO(particle);
	end
	for i=0,iters,1 do
		particle = CreateMOPixel("Drone Laser 001");
		particle.Pos = initPos + (self.Vel.Normalized * (i * increment));
		particle.Vel = Vector(0,0);
		MovableMan:AddMO(particle);
	end
	for i=0,iters,1 do
		particle = CreateMOPixel("Drone Laser 002");
		particle.Pos = initPos + (self.Vel.Normalized * (i * increment));
		particle.Vel = Vector(0,0);
		MovableMan:AddMO(particle);
	end
	for i=0,iters,1 do
		particle = CreateMOPixel("Drone Laser 003");
		particle.Pos = initPos + (self.Vel.Normalized * (i * increment));
		particle.Vel = Vector(0,0);
		MovableMan:AddMO(particle);
	end
	
	for i=0,1,1 do
		particle = CreateMOPixel("Drone Beam Support");
		particle.Pos = initPos + (self.Vel.Normalized * (trueLength - 2 * increment));
		particle.Vel = self.Vel;
		MovableMan:AddMO(particle);
	end
	
	particle = CreateAEmitter("Drone Laser End");
	particle.Pos = initPos + (self.Vel.Normalized * trueLength);
	particle.Vel = Vector(0,0);
	MovableMan:AddMO(particle);

	
	self.ToDelete = true;
end