function Create(self)
    
end

function Update(self)
   	local curdist = 5;
	for item in MovableMan.Items do
		local avgx = item.Pos.X - self.Pos.X;
		local avgy = item.Pos.Y - self.Pos.Y;
		local dist = math.sqrt(avgx ^ 2 + avgy ^ 2);
		if dist < curdist then
			item.Pos = self.Pos + Vector(0,20);
			item.Vel = self.Vel;
		end
	end
	for particle in MovableMan.Particles do
		if particle.ClassName == "MOSRotating" or particle.ClassName == "AEmitter" and particle ~= self then
			local avgx = particle.Pos.X - self.Pos.X;
			local avgy = particle.Pos.Y - self.Pos.Y;
			local dist = math.sqrt(avgx ^ 2 + avgy ^ 2);
			if dist < curdist then
				particle.Pos = self.Pos + Vector(0,20);
				particle.Vel = self.Vel;
			end
		end
	end
	for actor in MovableMan.Actors do
		local avgx = actor.Pos.X - self.Pos.X;
		local avgy = actor.Pos.Y - self.Pos.Y;
		local dist = math.sqrt(avgx ^ 2 + avgy ^ 2);
		if dist < curdist and actor ~= self.owner then
			actor.Pos = self.Pos + Vector(0,20);
			actor.Vel = self.Vel;
		end
    	end

end