function Create(self)
	local templength = 0;
	if SceneMan:CastObstacleRay(self.Pos, self.Vel * 150, Vector(0, 0), Vector(0, 0), self.ID, self.Team, -1, 5) < 0 then
		self.length = 1000;
	else
		self.length = SceneMan:CastObstacleRay(self.Pos, self.Vel * 150, Vector(0, 0), Vector(0, 0), self.ID, self.Team, -1, 5);
	
	end
	--print(self.length);
	local velCorrection = self.Vel * (FrameMan.PPM * TimerMan.DeltaTimeSecs);
	local trueLength = self.length + velCorrection.Magnitude;
	local iters = (math.ceil(trueLength)/3);
	local initPos = self.Pos - velCorrection;
	local increment = (trueLength / iters);
	
	for i=0,iters,1 do
		particle = CreateMOPixel("Laser Line Pulse");
		particle.Pos = initPos + (self.Vel.Normalized * (i * increment));
		particle.Vel = Vector(0,0);
		MovableMan:AddMO(particle);
	end
	for i=0,20 ,1 do
		particle = CreateMOPixel("DSWE02 Pulse Push");
		particle.Pos = initPos + (self.Vel.Normalized * (trueLength - 2 * increment));
		particle.endpoint = initPos + (self.Vel.Normalized * trueLength);
		particle.Vel = self.Vel;
		MovableMan:AddMO(particle);
	end
	
	particle = CreateMOPixel("Laser Particle Hit Point");
	particle.Pos = initPos + (self.Vel.Normalized * trueLength);
	particle.Vel = Vector(0,0);
	MovableMan:AddMO(particle);
	
	particle = CreateAEmitter("Laser End Light");
	particle.Pos = initPos + (self.Vel.Normalized * trueLength);
	particle.Vel = Vector(0,0);
	MovableMan:AddMO(particle);

	
	self.ToDelete = true;
end