function Create(self)
	self.forceMultiplier = 40;
end

function Update(self)
	local targetID = SceneMan:CastMORay(self.Pos, self.Vel, self.ID, 0, false, 0);
	if targetID ~= 255 then
		if MovableMan:GetMOFromID(targetID).GetsHitByMOs then
			local impactLocation = Vector(0,0);
			SceneMan:CastFindMORay(self.Pos, self.Vel, targetID, impactLocation, 0, true, 0);
			local forceVect = Vector(self.Vel.X * self.Mass * self.forceMultiplier, self.Vel.Y * self.Mass * self.forceMultiplier);
			MovableMan:GetMOFromID(targetID):AddAbsImpulseForce(forceVect, impactLocation);
		end
	end
end