dofile("Base.rte/Constants.lua")
require("Actors/AI/NativeHumanAI")
function Create(self)
	self.tractor = false;
	self.tractorOn = NULL;
	self.AI = NativeHumanAI:Create(self)
end


function Update(self)

	acceleration = 1;
	deceleration =  .1;
	self.RotAngle = 0;
	self.rotFactor = 0.2;
	self:ClearForces();
	self:ClearImpulseForces();
	self.hoverheight = 37;
	
	
	--How softly the hoverboard should move to its desired position (the higher this number is, the easier it is to fall of from crashing into the ground below).
	self.landsoftness = 10;

	--Multiplied by the Y velocity to stop from hitting the ground.
	self.landdamping = 0.7;
		--Credits to CaveCricket48
   if self:IsPlayerControlled() == false and self.AIMode == Actor.AIMODE_SENTRY then
	   self:GetController():SetState(Controller.BODY_CROUCH,false);
	   self:GetController():SetState(Controller.MOVE_RIGHT,false);
	   self:GetController():SetState(Controller.MOVE_LEFT,false);
   else
		if self:GetController():IsState(Controller.MOVE_LEFT) then	
			if self.Vel.X > -15 then
				self.Vel.X = self.Vel.X - acceleration;
			end
			
		elseif self:GetController():IsState(Controller.MOVE_RIGHT) then
			if self.Vel.X < 15 then
				self.Vel.X = self.Vel.X + acceleration;
			end
		else
			if self.Vel.X ~= 0 then
				self.Vel.X = 0;
			end
		end
	end
	

	
	--Vertical Movement
	if self:GetController():IsState(Controller.BODY_JUMP ) then
		if self.Vel.Y > -10 then
			self.Vel.Y = self.Vel.Y - acceleration;
		end	
	elseif self:GetController():IsState(Controller.MOVE_DOWN) then
		hoverheight = 0;
	else
		hoverpoint = SceneMan:MovePointToGround(self.Pos + Vector(self.Vel.X,0),0,3).Y - self.hoverheight;
		if self.Pos.Y > hoverpoint then
			--Hover at the right position.
			--This gives it the right position.
			self.Pos.Y = ((self.Pos.Y * self.landsoftness) + hoverpoint) / (self.landsoftness + 1);
			--This minimizes the effects of gravity.
			if self.Vel.Y > 0 then
				self.Vel.Y = self.Vel.Y * self.landdamping;
			end
		end
		hoverheight = 37;
	end
	if not self:GetController():IsState(Controller.BODY_JUMP) then
		self.Vel.Y = self.Vel.Y + (SceneMan.GlobalAcc.Y*TimerMan.DeltaTimeSecs)
	end
	self.RotAngle = self.rotFactor * -(self.Vel.X / 15);
	
	--if UInputMan:KeyPressed(24) and self:IsPlayerControlled() then
	--		if self.tractorOn ~= true then
	--			self.tractor = CreateAEmitter("DSAD1 Tractor Beam Point");
	--			self.tractor.Pos = self.Pos + Vector(0,10);
	--			MovableMan:AddMO(self.tractor);
	--			self.tractorOn = true;
	--			
	--		elseif self.tractorOn == true then
	--			self.tractorOn = false;
	--			self.tractor.ToDelete = true;
	--		end
	--end
			
end
function UpdateAI(self)
	self.AI:Update(self)
end