function Create(self)
	
end

function Update(self)
	local curdist = 1;
	for actor in MovableMan.Actors do
		local avgx = actor.Pos.X - self.Pos.X;
		local avgy = actor.Pos.Y - self.Pos.Y;
		local dist = math.sqrt(avgx ^ 2 + avgy ^ 2);
		if dist < curdist then
			particle = CreateAEmitter("Laser End Small");
			particle.Lifetime = self.Lifetime;
			particle.Pos = self.Pos;
			particle.Vel = Vector(0,0);
			MovableMan:AddMO(particle);		
		end
	end
	for actor in MovableMan.Particles do
		local avgx = actor.Pos.X - self.Pos.X;
		local avgy = actor.Pos.Y - self.Pos.Y;
		local dist = math.sqrt(avgx ^ 2 + avgy ^ 2);
		if dist < curdist then
			actor:ToDelete = true;		
		end
	end
end