function Create(self)
     
    --Find owner of this drone
    local curdist = 50;
    for actor in MovableMan.Actors do
	local avgx = actor.Pos.X - self.Pos.X;
	local avgy = actor.Pos.Y - self.Pos.Y;
	local dist = math.sqrt(avgx ^ 2 + avgy ^ 2);
	if dist < curdist then
	    curdist = dist;
	    self.Owner = actor;
	end
    end


   
    --If it can't find a owner, stop emitting	
    if MovableMan:IsActor(self.Owner) then
	self.Team = self.Owner.Team;
    else
	self:EnableEmission(true);
    end
  
end

function Update(self)

	--If owner is dead, gib self.
	if self.Owner:IsDead() == true then
		self:GibThis();
	end

	--Fing a target not on owner's team
	 local curdist = 300;
   	 for actor in MovableMan.Actors do
		local avgx = actor.Pos.X - self.Pos.X;
		local avgy = actor.Pos.Y - self.Pos.Y;
		local dist = math.sqrt(avgx ^ 2 + avgy ^ 2);
		if dist < curdist and actor.Team ~= self.Team then
	 	 	curdist = dist;
	   		self.Target = actor;
		end
    	end

	



end